Package: org.gradle.api.publish.ivy

## [Java] Interface IvyConfigurationContainer

- org.gradle.api.publish.ivy.IvyConfigurationContainer

- All Superinterfaces:
    NamedDomainObjectSet, Iterable, NamedDomainObjectCollection, DomainObjectCollection, Collection, NamedDomainObjectContainer

  The set of IvyConfigurations that will be included in the IvyPublication. Being a NamedDomainObjectContainer, a `IvyConfigurationContainer` provides convenient methods for adding, querying, filtering, and applying actions to the set of IvyConfigurations.

       apply plugin: 'ivy-publish'

       def publication = publishing.publications.create("my-pub", IvyPublication)
       def configurations = publication.configurations

       configurations.create("extended", { extend "default"})
       configurations.all {
           extend "base"
       }

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface NamedDomainObjectContainer` | `configure, create, create, create, maybeCreate`
    `interface NamedDomainObjectSet` | `findAll, matching, matching, withType`
    `interface org.gradle.util.Configurable` | `org.gradle.util.Configurable#configure(groovy.lang.Closure)`